Debian Bug report logs - #728808
ITP: web100-userland -- The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hamon <dominic@google.com>

Date: Tue, 5 Nov 2013 18:45:01 UTC

Owned by: Dominic Hamon <dominic@google.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#728808; Package wnpp. (Tue, 05 Nov 2013 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hamon <dominic@google.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 05 Nov 2013 18:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hamon <dominic@google.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: web100-userland -- The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation
Date: Tue, 05 Nov 2013 10:43:24 -0800
Package: wnpp
Severity: wishlist
Owner: Dominic Hamon <dominic@google.com>

* Package name    : web100-userland
  Version         : 1.8.0
* URL             : http://www.web100.org/
* License         : LGPL
  Programming Lang: C
  Description     : The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation

The Web100 software implements a set of instruments in the TCP/IP stack
of an operating system.  The software is divided in two pieces:
- A patch to the Linux kernel, which collects the data, and...
- A library and a set of utilities (the userland), for accessing and
  manipulating these instruments.
This package provides both the library and utilities.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominic Hamon <dominic@google.com>:
Bug#728808; Package wnpp. (Wed, 06 Nov 2013 04:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominic Hamon <dominic@google.com>. (Wed, 06 Nov 2013 04:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 728808@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dominic Hamon <dominic@google.com>, 728808@bugs.debian.org
Subject: Re: Bug#728808: ITP: web100-userland -- The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation
Date: Wed, 06 Nov 2013 04:42:08 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2013-11-05 at 10:43 -0800, Dominic Hamon wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Dominic Hamon <dominic@google.com>
> 
> * Package name    : web100-userland
>   Version         : 1.8.0
> * URL             : http://www.web100.org/
> * License         : LGPL
>   Programming Lang: C
>   Description     : The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation
> 
> The Web100 software implements a set of instruments in the TCP/IP stack
> of an operating system.  The software is divided in two pieces:
> - A patch to the Linux kernel, which collects the data, and...

Which isn't applied in Debian's kernel packages, making this a bit
useless to Debian users in general.

I'm guessing this could be replaced using kprobes or some higher-level
tracing framework.

> - A library and a set of utilities (the userland), for accessing and
>   manipulating these instruments.
> This package provides both the library and utilities.

Ben.

-- 
Ben Hutchings
Horngren's Observation:
                   Among economists, the real world is often a special case.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728808; Package wnpp. (Thu, 07 Nov 2013 16:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hamon <dominic@google.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 07 Nov 2013 16:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 728808@bugs.debian.org (full text, mbox):

From: Dominic Hamon <dominic@google.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 728808@bugs.debian.org
Subject: Re: Bug#728808: ITP: web100-userland -- The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation
Date: Thu, 7 Nov 2013 08:01:03 -0800
[Message part 1 (text/plain, inline)]
On Tue, Nov 5, 2013 at 8:42 PM, Ben Hutchings <ben@decadent.org.uk> wrote:

> On Tue, 2013-11-05 at 10:43 -0800, Dominic Hamon wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Dominic Hamon <dominic@google.com>
> >
> > * Package name    : web100-userland
> >   Version         : 1.8.0
> > * URL             : http://www.web100.org/
> > * License         : LGPL
> >   Programming Lang: C
> >   Description     : The userland library and utilities for accessing and
> manipulating web100 TCP/IP instrumentation
> >
> > The Web100 software implements a set of instruments in the TCP/IP stack
> > of an operating system.  The software is divided in two pieces:
> > - A patch to the Linux kernel, which collects the data, and...
>
> Which isn't applied in Debian's kernel packages, making this a bit
> useless to Debian users in general.
>
>
It's a build dependency for another proposed package (ndt) which provides
binary clients that are useful for Debian users wanting to test their
network performance.



> I'm guessing this could be replaced using kprobes or some higher-level
> tracing framework.
>
> > - A library and a set of utilities (the userland), for accessing and
> >   manipulating these instruments.
> > This package provides both the library and utilities.
>
> Ben.
>
> --
> Ben Hutchings
> Horngren's Observation:
>                    Among economists, the real world is often a special
> case.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominic Hamon <dominic@google.com>:
Bug#728808; Package wnpp. (Fri, 08 Nov 2013 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominic Hamon <dominic@google.com>. (Fri, 08 Nov 2013 01:18:04 GMT) Full text and rfc822 format available.

Message #20 received at 728808@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dominic Hamon <dominic@google.com>
Cc: 728808@bugs.debian.org
Subject: Re: Bug#728808: ITP: web100-userland -- The userland library and utilities for accessing and manipulating web100 TCP/IP instrumentation
Date: Fri, 08 Nov 2013 01:14:04 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2013-11-07 at 08:01 -0800, Dominic Hamon wrote:
> 
> 
> On Tue, Nov 5, 2013 at 8:42 PM, Ben Hutchings <ben@decadent.org.uk>
> wrote:
>         On Tue, 2013-11-05 at 10:43 -0800, Dominic Hamon wrote:
>         > Package: wnpp
>         > Severity: wishlist
>         > Owner: Dominic Hamon <dominic@google.com>
>         >
>         > * Package name    : web100-userland
>         >   Version         : 1.8.0
>         > * URL             : http://www.web100.org/
>         > * License         : LGPL
>         >   Programming Lang: C
>         >   Description     : The userland library and utilities for
>         accessing and manipulating web100 TCP/IP instrumentation
>         >
>         > The Web100 software implements a set of instruments in the
>         TCP/IP stack
>         > of an operating system.  The software is divided in two
>         pieces:
>         > - A patch to the Linux kernel, which collects the data,
>         and...
>         
>         Which isn't applied in Debian's kernel packages, making this a
>         bit
>         useless to Debian users in general.
>         
> 
> 
> It's a build dependency for another proposed package (ndt) which
> provides binary clients that are useful for Debian users wanting to
> test their network performance.
[...]

OK, then please make it clear in the binary package description what it
provides and anything it requires outside of package dependencies.  From
your explanation and the description at
<http://software.internet2.edu/ndt/>, it sounds like you're packaging
the client code while only the server side would need that patch.

Ben.


-- 
Ben Hutchings
Horngren's Observation:
                   Among economists, the real world is often a special case.
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:47:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.